Package org.silverpeas.mobile.client.apps.workflow.pages

## Class WorkflowPresentationPage

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent
        - - org.silverpeas.mobile.client.apps.workflow.pages.WorkflowPresentationPage

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `View`, `PageEventHandler`

      public class WorkflowPresentationPage
      extends PageContent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `clicked, pageTitle`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowPresentationPage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setData​(WorkflowInstancePresentationFormDTO data)` |
    `void` | `setData​(WorkflowInstancePresentationFormDTO data, ApplicationInstanceDTO instance)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `addActionMenu, addActionShortcut, back, changeSelectionNumber, clearActions, clickGesture, finishLoadingData, getApp, getPageTitle, hide, isSelectionMode, isVisible, loadedDataEvent, loadedMoreDataEvent, onPreviewNativeEvent, receiveEvent, removeActionMenu, removeActionShortcut, setApp, setPageTitle, setSelectionMode, setViewport, setVisible, show`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowPresentationPage

          public WorkflowPresentationPage()

  - ### Method Detail

    - #### setData

          public void setData​(WorkflowInstancePresentationFormDTO data)

    - #### setData

          public void setData​(WorkflowInstancePresentationFormDTO data,
                              ApplicationInstanceDTO instance)

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `View`
      Overrides:
        `stop` in class `PageContent`